Bug 852821 - sanity tests hung on replicate volume with rdma transport type
sanity tests hung on replicate volume with rdma transport type
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: replicate (Show other bugs)
2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
storage-qa-internal@redhat.com
: ZStream
Depends On: 785157
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 12:48 EDT by Vidya Sakar
Modified: 2016-09-17 08:20 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 785157
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vidya Sakar 2012-08-29 12:48:33 EDT
+++ This bug was initially created as a clone of Bug #785157 +++

Created attachment 557854 [details]
gluster fuse client log

Description of problem:
Was running sanity on a replicate volume with rdma transport. ltp test cases got hung for more than a day.

Version-Release number of selected component (if applicable):
git master with head at b02afc6d008f9959db28244eb2b9dd3b9ef92393

How reproducible:
1/1

Steps to Reproduce:
1. Create a replicated volume with rdma transport
2. Start the sanity tests (which includes ltp test cases)
  
Actual results:
ltp test cases in sanity tests hung for more than a day.

Expected results:
no test cases should hang.

Additional info:

I saw the following entries in statedumps of glusterfsd processes.



[xlator.features.locks.hosdu-locks.inode]
mandatory=0
entrylk-count=2
lock-dump.domain.domain=hosdu-replicate-0
xlator.feature.locks.lock-dump.domain.entrylk.entrylk[0](ACTIVE)= ENTRYLK_WRLCK on f4 pid = 18446744073686515360, owner=ff7effff247f0000, transport=0x7f19dd19ede0, granted at Thu Jan 26 03:05:37 2012

xlator.feature.locks.lock-dump.domain.entrylk.entrylk[1](BLOCKED)= ENTRYLK_WRLCK on f4 pid = 18446744073686459092, owner=ffffffff247f0000, transport=0x7f19dd1b5630, blocked at Thu Jan 26 03:05:38 2012



[xlator.features.locks.hosdu-locks.inode]
mandatory=0
entrylk-count=2
lock-dump.domain.domain=hosdu-replicate-0
xlator.feature.locks.lock-dump.domain.entrylk.entrylk[0](ACTIVE)= ENTRYLK_WRLCK on f4 pid = 18446744073686448672, owner=207affff247f0000, transport=0x7f8d2401a2e0, granted at Wed Jan 25 00:21:16 2012

xlator.feature.locks.lock-dump.domain.entrylk.entrylk[1](BLOCKED)= ENTRYLK_WRLCK on f4 pid = 18446744073686463260, owner=1cffffff247f0000, transport=0x7f8d25127b00, blocked at Wed Jan 25 00:21:18 2012


I have attached the fuse client log and statedumps of both glusterfsds.

--- Additional comment from msvbhat@redhat.com on 2012-01-27 08:30:47 EST ---

Created attachment 557857 [details]
glusterfsd statedump

--- Additional comment from msvbhat@redhat.com on 2012-01-27 08:31:43 EST ---

Created attachment 557858 [details]
statedump of another glusterfsd

--- Additional comment from msvbhat@redhat.com on 2012-01-27 08:32:22 EST ---

Created attachment 557859 [details]
statedump of client process
Comment 5 Vivek Agarwal 2015-03-23 03:40:08 EDT
The product version of Red Hat Storage on which this issue was reported has reached End Of Life (EOL) [1], hence this bug report is being closed. If the issue is still observed on a current version of Red Hat Storage, please file a new bug report on the current version.







[1] https://rhn.redhat.com/errata/RHSA-2014-0821.html
Comment 6 Vivek Agarwal 2015-03-23 03:40:37 EDT
The product version of Red Hat Storage on which this issue was reported has reached End Of Life (EOL) [1], hence this bug report is being closed. If the issue is still observed on a current version of Red Hat Storage, please file a new bug report on the current version.







[1] https://rhn.redhat.com/errata/RHSA-2014-0821.html

Note You need to log in before you can comment on or make changes to this bug.